{pkgs, ...}: {
  olympus.system = {
    mainUser = "pingu";
    useHomeManager = false;
  };

  users = {
    users.pingu = {
      isNormalUser = true;
      extraGroups = ["wheel"];
      openssh.authorizedKeys.keys = [
        "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAILPbmiNqoyeKXk/VopFm2cFfEnV4cKCFBhbhyYB69Fuu"
      ];
    };
  };

  environment.systemPackages = with pkgs; [
    git
    curl
    bat
    neovim
    btop
    zip
    jq
    fish
    ethtool
    networkd-dispatcher
  ];
}
